<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_image_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_image_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_image_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Image object descriptor as placed in shared memory. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a5007c18b86466d554a9957a8b7cd0514">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a5007c18b86466d554a9957a8b7cd0514"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a26f4741fcb370f706d690a92b772e7f4">width</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Width of image in pixels.  <a href="#a26f4741fcb370f706d690a92b772e7f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#aa389438c574490899d84934715e754e5">height</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Height of image in lines.  <a href="#aa389438c574490899d84934715e754e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a2da683b29830bc930621abcf9741ee56">format</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Data format of image, see <a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>.  <a href="#a2da683b29830bc930621abcf9741ee56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a14c9fd446f7c176554334ce6a42c4905">planes</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of data planes in image.  <a href="#a14c9fd446f7c176554334ce6a42c4905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a6666dcf2ce22c49cb118857f1c7d40bd">color_space</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Color space of the image, see <a class="el" href="vx__types_8h.html#a26286b5d5a731b56d4a593d80ccfb302">vx_color_space_e</a>.  <a href="#a6666dcf2ce22c49cb118857f1c7d40bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#adb1333609462b46b240a0412929de1b2">color_range</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Color range of the image channel, see <a class="el" href="vx__types_8h.html#a30e324a2d0bf0dd38a53d1e807bb25db">vx_channel_range_e</a>.  <a href="#adb1333609462b46b240a0412929de1b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a2fa8287d36905581e76fbc6f036892f7">mem_size</a> [TIVX_IMAGE_MAX_PLANES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">image plane buffer size  <a href="#a2fa8287d36905581e76fbc6f036892f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#aa5124f3fad8d260ec44de397be928625">uniform_image_pixel_value</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">the value to use to fill for a uniform image.  <a href="#aa5124f3fad8d260ec44de397be928625"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#aba13fb726e4d1d6d91d3f3d7df987448">create_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">method by which image was created, see <a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_image_create_type_e</a>  <a href="#aba13fb726e4d1d6d91d3f3d7df987448"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a61381d3666b015372353a2fb75a2a004">mem_ptr</a> [TIVX_IMAGE_MAX_PLANES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">image plane buffer addresses  <a href="#a61381d3666b015372353a2fb75a2a004"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a4b82e50bb7c4e11eb776488f7221676e">imagepatch_addr</a> [TIVX_IMAGE_MAX_PLANES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">image plane addressing parameters  <a href="#a4b82e50bb7c4e11eb776488f7221676e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__image__t.html#a94978aef82e4545517b4afcfe9ce10d4">valid_roi</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">valid region of image to use for processing  <a href="#a94978aef82e4545517b4afcfe9ce10d4"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a5007c18b86466d554a9957a8b7cd0514"></a><!-- doxytag: member="tivx_obj_desc_image_t::base" ref="a5007c18b86466d554a9957a8b7cd0514" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__image__t.html#a5007c18b86466d554a9957a8b7cd0514">tivx_obj_desc_image_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a26f4741fcb370f706d690a92b772e7f4"></a><!-- doxytag: member="tivx_obj_desc_image_t::width" ref="a26f4741fcb370f706d690a92b772e7f4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#a26f4741fcb370f706d690a92b772e7f4">tivx_obj_desc_image_t::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Width of image in pixels. </p>

</div>
</div>
<a class="anchor" id="aa389438c574490899d84934715e754e5"></a><!-- doxytag: member="tivx_obj_desc_image_t::height" ref="aa389438c574490899d84934715e754e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#aa389438c574490899d84934715e754e5">tivx_obj_desc_image_t::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Height of image in lines. </p>

</div>
</div>
<a class="anchor" id="a2da683b29830bc930621abcf9741ee56"></a><!-- doxytag: member="tivx_obj_desc_image_t::format" ref="a2da683b29830bc930621abcf9741ee56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#a2da683b29830bc930621abcf9741ee56">tivx_obj_desc_image_t::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Data format of image, see <a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>. </p>

</div>
</div>
<a class="anchor" id="a14c9fd446f7c176554334ce6a42c4905"></a><!-- doxytag: member="tivx_obj_desc_image_t::planes" ref="a14c9fd446f7c176554334ce6a42c4905" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#a14c9fd446f7c176554334ce6a42c4905">tivx_obj_desc_image_t::planes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of data planes in image. </p>

</div>
</div>
<a class="anchor" id="a6666dcf2ce22c49cb118857f1c7d40bd"></a><!-- doxytag: member="tivx_obj_desc_image_t::color_space" ref="a6666dcf2ce22c49cb118857f1c7d40bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#a6666dcf2ce22c49cb118857f1c7d40bd">tivx_obj_desc_image_t::color_space</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Color space of the image, see <a class="el" href="vx__types_8h.html#a26286b5d5a731b56d4a593d80ccfb302">vx_color_space_e</a>. </p>

</div>
</div>
<a class="anchor" id="adb1333609462b46b240a0412929de1b2"></a><!-- doxytag: member="tivx_obj_desc_image_t::color_range" ref="adb1333609462b46b240a0412929de1b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#adb1333609462b46b240a0412929de1b2">tivx_obj_desc_image_t::color_range</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Color range of the image channel, see <a class="el" href="vx__types_8h.html#a30e324a2d0bf0dd38a53d1e807bb25db">vx_channel_range_e</a>. </p>

</div>
</div>
<a class="anchor" id="a2fa8287d36905581e76fbc6f036892f7"></a><!-- doxytag: member="tivx_obj_desc_image_t::mem_size" ref="a2fa8287d36905581e76fbc6f036892f7" args="[TIVX_IMAGE_MAX_PLANES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#a2fa8287d36905581e76fbc6f036892f7">tivx_obj_desc_image_t::mem_size</a>[TIVX_IMAGE_MAX_PLANES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>image plane buffer size </p>

</div>
</div>
<a class="anchor" id="aa5124f3fad8d260ec44de397be928625"></a><!-- doxytag: member="tivx_obj_desc_image_t::uniform_image_pixel_value" ref="aa5124f3fad8d260ec44de397be928625" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#aa5124f3fad8d260ec44de397be928625">tivx_obj_desc_image_t::uniform_image_pixel_value</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>the value to use to fill for a uniform image. </p>
<p>bit 0.. 7 - Component 0 - R or Y or U8. bit 8..15 - Component 1 - G or U. bit16..23 - Component 2 - B or V. bit24..31 - Component 3 - X.</p>
<p>bit0..15 - U16, S16. bit0..31 - U32, S32. </p>

</div>
</div>
<a class="anchor" id="aba13fb726e4d1d6d91d3f3d7df987448"></a><!-- doxytag: member="tivx_obj_desc_image_t::create_type" ref="aba13fb726e4d1d6d91d3f3d7df987448" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__image__t.html#aba13fb726e4d1d6d91d3f3d7df987448">tivx_obj_desc_image_t::create_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>method by which image was created, see <a class="el" href="group__group__tivx__obj__desc.html#ga25fa81b14d1e21751503d0b836ff5d77">tivx_image_create_type_e</a> </p>

</div>
</div>
<a class="anchor" id="a61381d3666b015372353a2fb75a2a004"></a><!-- doxytag: member="tivx_obj_desc_image_t::mem_ptr" ref="a61381d3666b015372353a2fb75a2a004" args="[TIVX_IMAGE_MAX_PLANES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__image__t.html#a61381d3666b015372353a2fb75a2a004">tivx_obj_desc_image_t::mem_ptr</a>[TIVX_IMAGE_MAX_PLANES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>image plane buffer addresses </p>

</div>
</div>
<a class="anchor" id="a4b82e50bb7c4e11eb776488f7221676e"></a><!-- doxytag: member="tivx_obj_desc_image_t::imagepatch_addr" ref="a4b82e50bb7c4e11eb776488f7221676e" args="[TIVX_IMAGE_MAX_PLANES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__imagepatch__addressing__t.html">vx_imagepatch_addressing_t</a> <a class="el" href="structtivx__obj__desc__image__t.html#a4b82e50bb7c4e11eb776488f7221676e">tivx_obj_desc_image_t::imagepatch_addr</a>[TIVX_IMAGE_MAX_PLANES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>image plane addressing parameters </p>

</div>
</div>
<a class="anchor" id="a94978aef82e4545517b4afcfe9ce10d4"></a><!-- doxytag: member="tivx_obj_desc_image_t::valid_roi" ref="a94978aef82e4545517b4afcfe9ce10d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__rectangle__t.html">vx_rectangle_t</a> <a class="el" href="structtivx__obj__desc__image__t.html#a94978aef82e4545517b4afcfe9ce10d4">tivx_obj_desc_image_t::valid_roi</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>valid region of image to use for processing </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
